summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorKarel Zak2007-05-22 22:00:01 +0200
committerKarel Zak2007-05-22 22:00:01 +0200
commit66ac2d17032af4a39df76b23aa00a3766220a587 (patch)
tree2c1faa31f90d3ec80d0d565c7be9bcbd684dd37d /tests
parenttests: add mount by UUID from fstab test (diff)
downloadkernel-qcow2-util-linux-66ac2d17032af4a39df76b23aa00a3766220a587.tar.gz
kernel-qcow2-util-linux-66ac2d17032af4a39df76b23aa00a3766220a587.tar.xz
kernel-qcow2-util-linux-66ac2d17032af4a39df76b23aa00a3766220a587.zip
tests: add mount by devname from fstab
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rw-r--r--tests/expected/ts-fstab-devname1
-rwxr-xr-xtests/ts-fstab-devname55
3 files changed, 57 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index b186759b5..a4c1dfe56 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -11,6 +11,7 @@ EXTRA_DIST = expected/ \
ts-cramfs-mkfs \
ts-fstab-label \
ts-fstab-uuid \
+ ts-fstab-devname \
ts-hwclock-systohc \
ts-ipcs-headers \
ts-ipcs-limits \
diff --git a/tests/expected/ts-fstab-devname b/tests/expected/ts-fstab-devname
new file mode 100644
index 000000000..35821117c
--- /dev/null
+++ b/tests/expected/ts-fstab-devname
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-fstab-devname b/tests/ts-fstab-devname
new file mode 100755
index 000000000..09edc101f
--- /dev/null
+++ b/tests/ts-fstab-devname
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="fstab"
+TS_DESC="label"
+
+ts_init "$1"
+ts_skip_nonroot
+
+set -o pipefail
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+mkfs.ext3 $DEVICE &> /dev/null
+[ "$?" == "0" ] || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has "TYPE" "ext3" $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found ext3 on $DEVICE" $DEVICE
+
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_fstab_add $DEVICE
+
+$TS_CMD_MOUNT $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+grep -q $DEVICE /proc/mounts
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+
+$TS_CMD_UMOUNT $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+ts_fstab_clean
+
+ts_log "Success"
+ts_finalize
+